<?php
/**
* @version		$Id: mod_k2_popular.php 00000 2009-07-04 10:03:09Z devil $
* @package		Joomla K2 Addons
* @copyright	Copyright (C) 2009 Markus Rouenhoff. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla K2 Addons is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$db =& JFactory::getDBO();
$query = 'SELECT a.hits, a.id, a.catid, a.title, a.created'
. ' FROM #__k2_items AS a'

. ' WHERE a.published <> -2'
. ' ORDER BY hits DESC'
;
$db->setQuery( $query, 0, 10 );
$rows = $db->loadObjectList();
?>

<table class="adminlist">
<tr>
	<td class="title">
		<strong><?php echo JText::_( 'Most Popular Items' ); ?></strong>
	</td>
	<td class="title">
		<strong><?php echo JText::_( 'Created' ); ?></strong>
	</td>
	<td class="title">
		<strong><?php echo JText::_( 'Hits' ); ?></strong>
	</td>
</tr>
<?php
foreach ($rows as $row)
{
    
	$link = 'index.php?option=com_k2&view=item&cid='. $row->id;
	?>
	<tr>
		<td>
			<a href="<?php echo $link; ?>">
				<?php echo htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8');?></a>
		</td>
		<td>
			<?php echo JHTML::_('date', $row->created, '<b>%d.%m.%Y</b> - %H:%M:%S'); ?>
		</td>
		<td>
			<?php echo $row->hits;?>
		</td>
	</tr>
	<?php
}
?>
</table>
